
/*  @(#)base.h 1.4 95/02/06
 *
 *  Contains definitions for class "Base".
 *
 *  Copyright (c) Rich Burridge.    All rights reserved.
 *
 *  Permission is given to distribute these sources, as long as the
 *  copyright messages are not removed, and no monies are exchanged.
 *
 *  No responsibility is taken for any errors or inaccuracies inherent
 *  either to the comments or the code of this program, but if
 *  reported to me then an attempt will be made to fix them.
 */

extern char *filenames ;         /* List of file(s) to print. */
extern Atom COMPOUND_TEXT ;
extern Display *dpy ;
extern int depth ;               /* Depth of the screen in pixels. */
extern int screen ;
extern Window root ;
extern Widget *warr ;

extern void Base                 (void) ;
extern void do_copies_dec        (void) ;
extern void do_copies_inc        (void) ;
extern void do_exit_mptool       (void) ;
extern void do_file_apply        (void) ;
extern void do_file_dismiss      (void) ;
extern void do_print_files       (void) ;
extern void do_reset_options     (void) ;
extern void do_save_defaults     (void) ;
extern void do_show_base         (void) ;
extern void do_show_file         (void) ;
extern void get_main_vals        (void) ;
extern void set_icon             (enum icon_type) ;
