
/*  @(#)lineopts.h 1.2 95/07/07
 *
 *  Copyright (c) Mikael Cam.
 *                All rights reserved.
 *
 *  Permission is given to distribute these sources, as long as the
 *  copyright messages are not removed, and no monies are exchanged.
 *
 *  No responsibility is taken for any errors inherent either
 *  to the comments or the code of this program, but if reported
 *  to me then an attempt will be made to fix them.
 */

#define _TRACE   0

#include <stdio.h>
#include <string.h>

#define bool char
#define True  1
#define False 0
#define OPTIONID1  '-'
#define OPTIONID2  '+'
#define OPTIONALID '['
#define SPACE      ' '
#define EOS        '\0'
#define OPTEND     ']'
#define POINT      '.'
#define ANDSO      "..."

#define isopt( opt ) getargnum(argc, argv, opt, 0)
#define issubopt( numopt, subopt) issuboption(argc, argv, numopt, subopt, 0) 

int getargnum(int nbarg, char **argtab, char *optstring, bool sensitive);
char *strtolower(char *src_str);

void usage(char **arguments, char **comments);
bool iscoherent_com_line(int nbarg, char **argtab,\
                         char **arguments, bool sensitive);
bool isoption(char *argument);
bool isoptional(char *argument);
bool issuboption(int argc, char **argv, int optnum, char *subopt, bool sensitive);
